/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.project.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.project.entity.PickingRequisition;
import com.jeeplus.modules.sg.managementcenter.project.entity.Project;
import com.jeeplus.modules.sys.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface ProjectMapper extends BaseMapper<Project> {

    public void updateStatus(Project project);

    /**
     * 根据项目需求名称修改项目施工交底状态0未发起施工交底，1施工交底过程中，2完成施工交底
     * */
    void updateStatusBy(@Param("status") String status,@Param("procInsId") String procInsId);

    void  updateStatusByClose(@Param("close") String close,@Param("procInsId") String procInsid);

    void updateAcquisitionStatus(@Param("acquisitionStatus")String acquisitionStatus,@Param("id") String id);

    public List<Project> findListById(String[] proListId);

    int insertList(@Param("list") List<Project> list);

    List<Project> findListProject(List<Project> projects);

    Project findUser(String procInsId);

    Project findWZUser(String procInsId);

    Project sgFindUser(String procInsId);

    Project findUserById(String projectId);

    Integer updatePreConstruction(Project project);

    //查找项目信息
    List<Project> findListProjectRequisitions(@Param("list") List<PickingRequisition> list);
    //查找所有用户
    List<String> findAllUser();
}